aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKhem Raj <raj.khem@gmail.com>2017-10-08 10:05:44 -0700
committerRichard Purdie <richard.purdie@linuxfoundation.org>2017-10-16 23:52:03 +0100
commitcb2c00c369e61b0e61298b0ad076e5bc8bc67bb9 (patch)
tree7ffed61e370afdf12ce8abbbdac9d4c622e89b1b
parentd7580cd7792982fd9e98086e4edc490635e9adca (diff)
downloadopenembedded-core-contrib-cb2c00c369e61b0e61298b0ad076e5bc8bc67bb9.tar.gz
openembedded-core-contrib-cb2c00c369e61b0e61298b0ad076e5bc8bc67bb9.tar.bz2
openembedded-core-contrib-cb2c00c369e61b0e61298b0ad076e5bc8bc67bb9.zip
gstreamer1.0-plugins-bad: Add dependency on libdrm when wayland is enabled
Fixes WARNING: gstreamer1.0-plugins-bad-1.12.2-r0 do_package_qa: QA Issue: libgstwayland-1.0 rdepends on libdrm, but it isn't a build dependency, missing libdrm in DEPENDS or PACKAGECONFIG? [build-deps] WARNING: gstreamer1.0-plugins-bad-1.12.2-r0 do_package_qa: QA Issue: gstreamer1.0-plugins-bad-waylandsink rdepends on libdrm, but it isn't a build dependency, missing libdrm in DEPENDS or PACKAGECONFIG? [build-deps] Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
-rw-r--r--meta/recipes-multimedia/gstreamer/gstreamer1.0-plugins-bad.inc2
1 files changed, 1 insertions, 1 deletions
diff --git a/meta/recipes-multimedia/gstreamer/gstreamer1.0-plugins-bad.inc b/meta/recipes-multimedia/gstreamer/gstreamer1.0-plugins-bad.inc
index 2e466fef37e..7be15d99731 100644
--- a/meta/recipes-multimedia/gstreamer/gstreamer1.0-plugins-bad.inc
+++ b/meta/recipes-multimedia/gstreamer/gstreamer1.0-plugins-bad.inc
@@ -65,7 +65,7 @@ PACKAGECONFIG[uvch264] = "--enable-uvch264,--disable-uvch264,libusb1 lib
PACKAGECONFIG[voaacenc] = "--enable-voaacenc,--disable-voaacenc,vo-aacenc"
PACKAGECONFIG[voamrwbenc] = "--enable-voamrwbenc,--disable-voamrwbenc,vo-amrwbenc"
PACKAGECONFIG[vulkan] = "--enable-vulkan,--disable-vulkan,vulkan"
-PACKAGECONFIG[wayland] = "--enable-wayland,--disable-wayland,wayland-native wayland wayland-protocols"
+PACKAGECONFIG[wayland] = "--enable-wayland,--disable-wayland,wayland-native wayland wayland-protocols libdrm"
PACKAGECONFIG[webp] = "--enable-webp,--disable-webp,libwebp"
# these plugins have no corresponding library in OE-core or meta-openembedded: